For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get All Merchant Offers (Lightweight)

Retrieve a lightweight list of all Offer's for a Merchant, given their merchant_id. Unlike the standard endpoint, this version does not eagerly load SKUs, variants, or albums, significantly reducing payload size and response time.

Use this endpoint when you only need offer-level fields such as name, price, merchant, and status — for example, in dashboard views or listing pages.

This endpoint supports the same filtering, pagination, and currency parameters as the standard Get All Merchant Offers endpoint. Maximum page size is 100.

To avoid performance issues, total_elements and total_pages properties are not populated for this endpoint response, being both returned with default value of 0.

Violet strongly discourages scraping this endpoint. Most offers do not change very often, so re-scraping all of a merchant's offers on a regular basis is a very costly way to keep your catalog up to date.

Violet's recommendation is to make use of offer webhooks to be notified when offers are added/updated in Violet's system. This works because when your merchants onboard, their products are pulled into Violet's system and so you will receive a webhook for each of the new merchant's offers. Additionally, Violet employs a number of methods to keep our merchant's catalogs up to date and all of those methods will generate webhooks sent to your system.

Get Merchant Offers - V1.1

get

Lightweight version that returns offer data without SKUs, variants, or albums. Maximum size limit of 100 results.

Path parameters
merchant_idinteger · int32Required
Query parameters
pageinteger · int32OptionalDefault: 1
sizeinteger · int32 · max: 100Optional

The total number of desired results. Any value over 100 will default to 100.

Default: 20
base_currencystringOptional
includestring · enumOptional

Comma-separated list of extra data to be included.

Possible values:
date_last_modified:minstringOptional

Return only the published offers that have been modified after the given date time, using the standard Violet datetime format, ISO 8601. Example: 2017-06-15T01:01:01+0000

Example: 2017-06-15T01:01:01+0000
date_last_modified:maxstringOptional

Return only the published offers that have been modified before the given date time, using the standard Violet datetime format, ISO 8601. Example: 2017-06-25T01:01:01+0000

Example: 2017-06-25T01:01:01+0000
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
X-Violet-Api-FeaturesstringOptional
Responses
200

successful operation

application/json
lastbooleanOptional

Boolean indicating if this is the last page

total_pagesinteger · int32Optional

The total count of pages available

total_elementsinteger · int32Optional

The total count of objects available

firstbooleanOptional

Boolean indicating if this is the first page of the response

number_of_elementsinteger · int32Optional

The total number of objects in this specific response

sizeinteger · int32Optional

The page size selected at request time

numberinteger · int32Optional

The page number selected at request time

emptybooleanOptional

Boolean indicating if the response content is empty

next_page_cursorstringOptional

Contains the cursor for the next page. This property will only be used for situations where the API does not support the page number/page size paradigm and it will mutually exclusive with the size/number fields in the response. If this property is returned it must be passed when requesting the next page from the API. Does not apply to endpoints that do not have a next_page_cursor query param documented.

get/catalog/offers/merchants/{merchant_id}/v1.1
GET /v1/catalog/offers/merchants/{merchant_id}/v1.1 HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
{
  "content": [
    {
      "id": 248519,
      "external_id": "8429610926344",
      "external_url": "https://foot-locker.myshopify.com/products/air-flex-runner",
      "name": "Air Flex Runner",
      "description": "Lightweight everyday running shoe with a cushioned midsole and breathable knit upper.",
      "source": "SHOPIFY",
      "seller": "Foot Locker",
      "vendor": "Nike",
      "merchant_id": 4821,
      "available": true,
      "visible": true,
      "min_price": 8999,
      "max_price": 8999,
      "currency": "USD",
      "source_category_name": "Footwear > Running",
      "type": "PHYSICAL",
      "status": "AVAILABLE",
      "publishing_status": "PUBLISHED",
      "subscription_status": "NOT_SUBSCRIBED",
      "date_created": "2024-01-15T10:30:00+0000",
      "date_last_modified": "2024-06-22T14:37:46+0000",
      "date_last_consolidated": "2024-06-22T14:37:46+0000",
      "three_d_enabled": false
    }
  ],
  "last": false,
  "total_pages": 287,
  "total_elements": 287,
  "first": true,
  "number_of_elements": 1,
  "size": 1,
  "number": 1,
  "empty": false,
  "pageable": {
    "page_number": 1,
    "page_size": 1,
    "sort": {
      "unsorted": false,
      "sorted": true,
      "empty": false
    },
    "offset": 0,
    "paged": true,
    "unpaged": false
  },
  "sort": {
    "unsorted": false,
    "sorted": true,
    "empty": false
  }
}

Last updated

Was this helpful?